### Class

# Qmi Proxy

since: 1.8

#### Description [src]

    class Qmi.Proxy : GObject.Object
    {
      QmiProxyPrivate* priv
    }

The `QmiProxy` structure contains private data and should only be accessed using the provided API.

Available since: 1.8

#### Ancestors

- GObject

#### Constructors

###### qmi_proxy_new

Creates a `QmiProxy` listening in the default proxy addess.

since: 1.8

#### Instance methods

###### qmi_proxy_get_n_clients

Get the number of clients currently connected to the proxy.

since: 1.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Qmi.Proxy:qmi-proxy-n-clients

No description available.

since: 1.8

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct QmiProxyClass {
      GObjectClass parent;

    }

No description available.

###### Class members

`parent: GObjectClass`

  No description available.